Page MenuHomePhabricator

Deploy experimental version of mobile apps content service to Wikimedia Labs
Closed, ResolvedPublic3 Story Points

Description

Deploy to Beta Labs for now, since we can't deploy it to production.

Event Timeline

Deskana created this task.Mar 6 2015, 6:58 PM
Deskana raised the priority of this task from to Medium.
Deskana updated the task description. (Show Details)
Deskana moved this task to To Do on the Mobile-App-Sprint-53-Android board.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 6:58 PM
Deskana updated the task description. (Show Details)Mar 13 2015, 5:50 PM
Deskana set Security to None.
KLans_WMF edited a custom field.Mar 13 2015, 5:54 PM
GWicke moved this task from Backlog to Next on the Services board.Mar 17 2015, 8:06 PM
bearND claimed this task.Mar 17 2015, 9:12 PM

Does this depend on restbase? If so restbase itself needs to be deployed on beta

@yuvipanda, it doesn't absolutely depend on restbase, but for a consistent public API it would be nice to integrate things right away. See T91102: Update / maintain Beta Cluster restbase cluster: Up & working with VE.

@yuvipanda Yes, it does depend on RESTBase.

@mobrovac mentioned we could use https://wikitech.wikimedia.org/wiki/Nova_Resource:Services-testbed since we don't have a labs project for services yet.

@bearND, we do have a 'services' project too, but the problem is that there's afaik no connectivity between projects, and trebuchet depends on a salt master etc which makes it easier to do it all in deployment-prep aka beta labs.

@bearND & I just chatted a bit about this on IRC & decided to set up a simple labs instance in the 'services' project first:

bearND added a comment.EditedMar 24 2015, 5:56 PM

Yippeeee! The nodejs service is running on labs. Example:
https://appservice.wmflabs.org/en.m.wikipedia.org/v1/mobile/app/page/html/Dilbert

Got deploy repo cloned and modified according to Marko's instructions:
sudo su
mkdir -p /srv/deployment/mobileapps
cd /srv/deployment/mobileapps
git clone https://gerrit.wikimedia.org/r/mediawiki/services/mobileapps/deploy
cd deploy
git submodule init
git submodule update
(for now: add ./src/ in front of ./app.js in src/config.dev.yaml)
nodejs src/server.js -c src/config.yaml

Both the mobileapps and the deploy repo are in Gerrit.
https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/mobileapps
https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/mobileapps/deploy

Good! I'll put some work in tomorrow to create various init scripts (upstart/systemd) so we can have it reliably running there.

@mobrovac, lets try to generalize / template init scripts for service-runner services to avoid duplication of work, as described in T88585: Create a standard service template / init / logging / package setup and dependencies.

@mobrovac, lets try to generalize / template init scripts for service-runner services to avoid duplication of work, as described in T88585: Create a standard service template / init / logging / package setup and dependencies.

Hence my words "I'll put some work in tomorrow to create various init scripts" ;) Otherwise, I could have set up one for this specific purpose already.

Deskana renamed this task from Deploy experimental version of mobile apps content service to Deploy experimental version of mobile apps content service to Wikimedia Labs.Apr 8 2015, 6:13 PM
Deskana closed this task as Resolved.Apr 8 2015, 6:24 PM
Deskana moved this task from Ready for Signoff to Done on the Mobile-App-Sprint-53-Android board.